///@file type.h
///@brief プラットフォーム依存部分：Windows用
#ifndef TYPE_H
#define TYPE_H

#define WINVER 0x0600
#define _WIN32_WINNT WINVER
#include <winsock2.h>
#include <ws2tcpip.h>
#include <iphlpapi.h>

//システム関係
#define SIGHUP SIGTERM
#define EWOULDBLOCK EAGAIN

//X11代替用
//Xlib.hから
#define Bool int
#define True 1
#define False 0
#define None 0L
typedef unsigned char CARD8;
typedef unsigned short CARD16;
typedef unsigned int CARD32;
typedef char *String;

//Xproto.hから
#define Window CARD32
#define Cursor CARD32
#define Colormap CARD32
#define Atom CARD32
#define Time CARD32

// sleep/usleepの移植
#define sleep(x)  Sleep((x) * 1000)
#define usleep(x) Sleep((x) / 1000)

#endif
